Subject: bug#61973: M-x gdb ends up with infinite prompts before starting the process

From: Dmitry Gutov <[email-masked]>
Date: Sun, 5 Mar 2023 17:26:08 +0200

On 05/03/2023 17:19, Eli Zaretskii wrote:
> This confirms my suspicion: we don't recognize the situation
> where GDB waits for a response, and interpret your "y" response as a
> GDB command.

First of all, though, it sends the debuginfod-related prompt to me 12 
times. I'm guessing that's because there is some scenario running 
internally that tries to send some other commands to GDB while it's 
waiting for a particular response (y/n), so it repeats the question 11 
times instead of reacting to those commands.